Package org.apache.sling.thumbnails.internal.models

## Class TransformationImpl

- java.lang.Object
- - org.apache.sling.thumbnails.internal.models.TransformationImpl

All Implemented Interfaces:
  `Transformation`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=Transformation.class)
    public class TransformationImpl
    extends Object
    implements Transformation

### Constructor Summary

Constructors
`TransformationImpl​(List<?> handlers)`
`TransformationImpl​(List<TransformationHandlerConfig> handlers, String name, org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<TransformationHandlerConfig>` `getHandlers()`
`String` `getName()`
`String` `getPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformationImpl

    public TransformationImpl​(List<?> handlers)

#### TransformationImpl

    @Inject
    public TransformationImpl​(@Named("handlers")
                              List<TransformationHandlerConfig> handlers,
                              @Named("name")
                              String name,
                              org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getHandlers

    public List<TransformationHandlerConfig> getHandlers()

Specified by:
  `getHandlers` in interface `Transformation`

#### getName

    public String getName()

Specified by:
  `getName` in interface `Transformation`

#### getPath

    public String getPath()

Specified by:
  `getPath` in interface `Transformation`